Download it now!
Bug 117630 - LO61: Introduced notebookbar command has wrong accelerator character
Summary: LO61: Introduced notebookbar command has wrong accelerator character
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: andreas_k
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-15 21:31 UTC by Martin Srebotnjak
Modified: 2018-05-16 07:57 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2018-05-15 21:31:54 UTC
Description:
New notebookbar string in sc/messages.po, sd/messages.po and sw/messages.po (as of May 15 2018) has a tilde accelerator instead of the underscore (needed for glade strings):
~Check for Updates... (appears several times, like 10x)
Very sloppy.


Steps to Reproduce:
1. See the code (or master build - the notebookbar).
2.
3.

Actual Results:  
Accelerator not properly defined.

Expected Results:
Should be an underscore.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:60.0) Gecko/20100101 Firefox/60.0
Comment 1 Commit Notification 2018-05-16 07:34:19 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e39db02020632e559ea33bec83162d3b6aa8510

tdf#117630 wrong accelerator character for update command

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.